Skip to content

Ask Gamemaster

POST
/api/creative/gamemaster/chat

Ask the GameMaster a freeform question about TTRPG mechanics.

The GameMaster can answer questions about rulesets, stat blocks, game balance, ability design, and general game design advice.

GameMasterChatRequest

Freeform chat request to the GameMaster agent.

object
message
required
Message
string
conversationHistory
Conversationhistory
Array<object>
<= 50 items
ChatTurn

A single turn in a conversation history.

object
role
required
Role
string
Allowed values: user assistant system
content
required
Content
string
context
Any of:
AgentChatContext

Ambient author context attached to a freeform agent request.

object
activeUrl
Any of:
string
pageTitle
Any of:
string
pageContentExcerpt
Any of:
string
activeDocumentTitle
Any of:
string
activeDocumentExcerpt
Any of:
string

Successful Response

GameMasterChatResponse

Response from GameMaster freeform chat.

object
response
required
Response
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object